<?php
/**
 *
 * @category MultiSafepay
 * @package  MultiSafepay_Msp
 */

/** @var $this MultiSafepay_Msp_Block_Mybankissuers */
$_code = $this->getMethodCode();
?>
<ul class="form-list" id="payment_form_<?php echo $_code ?>" style="display:none;">
    <li>
        <?php
        $instructions = Mage::getStoreConfig('msp_gateways/' . $_code . '/instructions', Mage::app()->getStore()->getId());

        if ($instructions !== '') {
            echo '<br /><br />' . $instructions . '<br /><br />';
        }

        $_issuers = $this->getMyBankIssuersForTemplate();
        ?>
        <label style="padding:15px 0 15px 0;" class="required">Select an issuer: <em>*</em></label>
        <br />
        <span>
            <select name="payment[<?php echo $_code ?>_issuer]" class="gateways-with-issuers">
            <?php foreach ($_issuers as $issuer) { ?>
                <option value="<?php echo $issuer->code; ?>"><?php echo $issuer->description; ?></option>
            <?php } ?>
            </select>
        </span>
    </li>
</ul>
<script>
    jQuery(function () {
        jQuery('.gateways-with-issuers').select2({
            width: '100%'
        });
    });
</script>
